# config reference: https://fly.io/docs/reference/configuration/

app = "rdb-backup"
primary_region = "cdg"
kill_signal = "SIGINT"
kill_timeout = "30s"

[build]
  dockerfile = "Dockerfile"

[env]
  AGE_PUBLIC_KEY = "age1dmsfleaqplmsp074j22447dpzdprwp5yxghkwcl2pkqd2rcyrfts5dmfv5"
  PGDATABASE = "rdb"
  PGHOST = "ep-frosty-flower-a28keh10.eu-central-1.aws.neon.tech"
  PGPORT = "5432"
  PGSSLMODE = "verify-full"
  # root certificate for PGHOST, i.e. Let's Encrypt (ISRG Root X1)
  PGSSLROOTCERT = "/usr/share/ca-certificates/mozilla/ISRG_Root_X1.crt"
  PGUSER = "archiver"

[[vm]]
  cpu_kind = "shared"
  cpus = 8
  memory_mb = 4096
